Bug 2022177 - dprintf does not work correctly when run from a script
Summary: dprintf does not work correctly when run from a script
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Buettner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-11 01:45 UTC by Kevin Buettner
Modified: 2021-12-05 01:37 UTC (History)
9 users (show)

Fixed In Version: gdb-11.1-5.fc35 gdb-11.1-5.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-15 05:47:10 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Sourceware 28308 0 P2 RESOLVED Strange interactions with dprintf and break/commands 2021-11-11 01:45:26 UTC

Description Kevin Buettner 2021-11-11 01:45:26 UTC
Description of problem:

dprintf breakpoints do not (always) work correctly when established by executing a script.  A very thorough explanation of this problem can be found in GDB's upstream bugzilla:

https://sourceware.org/bugzilla/show_bug.cgi?id=28308

Version-Release number of selected component (if applicable):

gdb-11.1-3 and earlier.  (I.e. gdb-10.X and 9.X also had this bug.)

It also affects all recent Fedora versions (and probably really old versions too).

How reproducible:

Using the provided instructions in the upstream bug - always.

Additional info:

This bug has been fixed in upstream GDB. I'm creating this bug in order have a Fedora bug number to refer to for back-porting purposes.

Comment 1 Fedora Update System 2021-11-11 17:15:56 UTC
FEDORA-2021-94dcbdf04d has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-94dcbdf04d

Comment 2 Fedora Update System 2021-11-11 22:51:47 UTC
FEDORA-2021-53a7dfa185 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-53a7dfa185

Comment 3 Fedora Update System 2021-11-12 01:03:13 UTC
FEDORA-2021-94dcbdf04d has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-94dcbdf04d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-94dcbdf04d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-11-12 01:25:13 UTC
FEDORA-2021-53a7dfa185 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-53a7dfa185`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-53a7dfa185

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-11-15 05:47:10 UTC
FEDORA-2021-94dcbdf04d has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-12-05 01:37:36 UTC
FEDORA-2021-53a7dfa185 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.